-- dbschema.sql
CREATE EXTENSION IF NOT EXISTS "uuid-ossp";


DROP TABLE IF EXISTS test1;
CREATE TABLE test1 (
  id SERIAL PRIMARY KEY,
  val VARCHAR(100) NULL,
  uuid UUID DEFAULT uuid_generate_v4() NOT NULL,
  created TIMESTAMP(0) DEFAULT CURRENT_TIMESTAMP NOT NULL,
  details JSONB DEFAULT '{}'::jsonb NOT NULL
);

insert into test1(val) values ('one');
